local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
data(self, tweak_data)
local ps2 = {
upgrades = {
"weapon_passive_headshot_damage_multiplier", "first_aid_kit_deploy_time_multiplier", "first_aid_kit_damage_reduction_upgrade", "player_intimidate_range_mul", "player_intimidate_aura", "assault_rifle_enter_steelsight_speed_multiplier", "snp_enter_steelsight_speed_multiplier", "player_steelsight_normal_movement_speed", "assault_rifle_zoom_increase", "snp_zoom_increase", "assault_rifle_move_spread_index_addend", "snp_move_spread_index_addend", "shotgun_reload_speed_multiplier_1", "shotgun_enter_steelsight_speed_multiplier", "player_interacting_damage_multiplier", "player_level_2_armor_addend", "player_level_3_armor_addend", "player_level_4_armor_addend", "temporary_no_ammo_cost_1", "sentry_gun_spread_multiplier", "sentry_gun_rot_speed_multiplier", "player_convert_enemies_max_minions_2", "shotgun_reload_speed_multiplier_2", "temporary_no_ammo_cost_2", "weapon_knock_down_2", "player_corpse_dispose_amount_2", "player_camouflage_bonus_2", "sentry_gun_extra_ammo_multiplier_1", "trip_mine_explosion_size_multiplier_1", "trip_mine_damage_multiplier_1", "weapon_knock_down_1", "player_extra_corpse_dispose_amount", "bodybags_bag_quantity", "player_movement_speed_multiplier", "player_climb_speed_multiplier_1", "player_can_free_run", "player_run_and_reload", "player_camouflage_bonus_1", "player_silencer_concealment_penalty_decrease_1", "player_silencer_concealment_increase_1", "pistol_magazine_capacity_inc_1", "pistol_fire_rate_multiplier", "player_temp_swap_weapon_faster_1", "player_temp_reload_weapon_faster_1", "player_temp_increased_movement_speed_1", "player_melee_damage_stacking_1", "player_temp_melee_kill_increase_reload_speed_1"
},
cost = 6,
icon_xy = {1, 0},
name_id = "theslayer_2",desc_id = "theslayer_2_desc"}
local ps4 = {
upgrades = {
"passive_player_xp_multiplier", "player_passive_suspicion_bonus", "player_passive_armor_movement_penalty_multiplier", "player_revive_damage_reduction_level_1", "player_convert_enemies", "player_convert_enemies_max_minions_1", "player_convert_enemies_health_multiplier", "player_convert_enemies_damage_multiplier", "player_convert_enemies_interaction_speed_multiplier", "weapon_single_spread_index_addend", "single_shot_accuracy_inc_1", "shotgun_recoil_index_addend", "shotgun_damage_multiplier_1", "carry_throw_distance_multiplier", "player_armor_carry_bonus_1", "saw_secondary", "saw_extra_ammo_multiplier", "sentry_gun_armor_multiplier", "player_revive_damage_reduction_level_2", "shotgun_damage_multiplier_2", "player_saw_speed_multiplier_2", "saw_lock_damage_multiplier_2", "sentry_gun_cost_reduction_2", "player_drill_speed_multiplier2", "akimbo_extra_ammo_multiplier_2", "akimbo_recoil_index_addend_3", "akimbo_recoil_index_addend_2", "player_drill_speed_multiplier1", "player_hip_fire_accuracy_inc_1", "player_weapon_movement_stability_1", "player_standstill_omniscience", "player_buy_bodybags_asset", "player_additional_assets", "player_cleaner_cost_multiplier", "player_buy_spotter_asset", "player_melee_concealment_modifier", "player_ballistic_vest_concealment_1", "weapon_silencer_recoil_index_addend", "weapon_silencer_enter_steelsight_speed_multiplier", "weapon_silencer_spread_index_addend", "akimbo_extra_ammo_multiplier_1", "player_revived_damage_resist_1", "player_revived_health_regain_1", "player_non_special_melee_multiplier", "player_melee_damage_multiplier"
},
cost = 7,
icon_xy = {3, 0},
name_id = "theslayer_4",desc_id = "theslayer_4_desc"}
local ps6 = {
upgrades = {
"armor_kit", "player_pick_up_ammo_multiplier", "first_aid_kit_quantity_increase_1", "first_aid_kit_auto_recovery_1", "player_civ_calming_alerts", "player_civ_intimidation_mul", "player_super_syndrome_1", "player_marked_enemy_extra_damage", "player_marked_inc_dmg_distance_1", "weapon_steelsight_highlight_specials", "player_mark_enemy_time_multiplier", "shotgun_steelsight_accuracy_inc_1", "shotgun_steelsight_range_inc_1", "team_armor_regen_time_multiplier", "player_shield_knock", "ammo_bag_quantity", "first_aid_kit_quantity_increase_2", "shape_charge_quantity_increase_2", "trip_mine_quantity_increase_2", "player_pick_lock_easy_speed_multiplier_2", "player_tape_loop_duration_2", "player_armor_depleted_stagger_shot_2", "player_detection_risk_add_crit_chance_2", "pistol_damage_addend_2", "temporary_berserker_damage_multiplier_2", "ammo_bag_ammo_increase1", "sentry_gun_silent", "sentry_gun_ap_bullets", "sentry_gun_damage_multiplier", "sentry_gun_fire_rate_reduction_1", "shape_charge_quantity_increase_1", "trip_mine_quantity_increase_1", "player_run_and_shoot_1", "player_automatic_faster_reload_1", "player_tape_loop_duration_1", "player_pick_lock_hard", "player_armor_depleted_stagger_shot_1", "player_detection_risk_add_crit_chance_1", "pistol_damage_addend_1", "temporary_berserker_damage_multiplier_1", "player_berserker_no_ammo_cost", "player_counter_strike_melee", "player_counter_strike_spooc"
},
cost = 8,
icon_xy = {5, 0},
name_id = "theslayer_6",desc_id = "theslayer_6_desc"}
local ps8 = {
upgrades = {
"weapon_passive_damage_multiplier", "passive_doctor_bag_interaction_speed_multiplier", "doctor_bag_quantity", "doctor_bag_amount_increase1", "player_minion_master_speed_multiplier", "player_passive_convert_enemies_health_multiplier_1", "player_minion_master_health_multiplier", "assault_rifle_reload_speed_multiplier", "temporary_single_shot_fast_reload_1", "shotgun_hip_run_and_shoot_1", "shotgun_hip_rate_of_fire_1", "shotgun_magazine_capacity_inc_1", "player_headshot_regen_armor_bonus_1", "saw_enemy_slicer", "saw_ignore_shields_1", "saw_panic_when_kill_1", "player_passive_convert_enemies_health_multiplier_2", "player_headshot_regen_armor_bonus_2", "player_drill_autorepair_2", "weapon_silencer_damage_multiplier_2", "player_cheat_death_chance_2", "deploy_interact_faster_1", "second_deployable_1", "player_drill_melee_hit_restart_chance_1", "player_automatic_mag_increase_1", "player_ap_bullets_1", "ecm_jammer_duration_multiplier", "ecm_jammer_feedback_duration_boost", "ecm_jammer_can_open_sec_doors", "player_taser_malfunction", "player_taser_self_shock", "player_escape_taser_1", "weapon_silencer_damage_multiplier_1", "pistol_stacked_accuracy_bonus_1", "pistol_reload_speed_multiplier", "player_cheat_death_chance_1"
},
cost = 9,
icon_xy = {7, 0},
name_id = "theslayer_8",desc_id = "theslayer_8_desc"}
local pc1 = 1
local pc3 = 6
local pc5 = 2
local pc7 = 7
local pc9 = 3
local pdcb = "player_passive_loot_drop_multiplier"
table.insert(self.specializations,{
name_id = "theslayer01'name",desc_id = "theslayer01'desc",{
upgrades = {
"player_passive_damage_reduction_1", "team_damage_reduction_1", "player_passive_health_multiplier_1", "player_tier_armor_multiplier_2", "player_passive_dodge_chance_1", "player_perk_armor_regen_timer_multiplier_1", "player_tier_dodge_chance_1", "player_damage_dampener_outnumbered_strong", "temporary_loose_ammo_restore_health_1", "player_gain_life_per_players", "player_damage_to_hot_1", "player_armor_regen_damage_health_ratio_multiplier_1", "player_armor_health_store_amount_1", "player_cocaine_stacking_1", "player_armor_grinding_1", "player_wild_health_amount_1", "player_wild_armor_amount_1", "temporary_chico_injector_1", "chico_injector", "smoke_screen_grenade", "player_damage_control_passive", "temporary_damage_control", "damage_control", "player_damage_control_cooldown_drain_1", "tag_team", "player_tag_team_base", "player_tag_team_cooldown_drain_1", "pocket_ecm_jammer", "player_pocket_ecm_jammer_base", "temporary_copr_ability_1", "copr_ability", "player_copr_static_damage_ratio_1", "player_copr_kill_life_leech_1", "player_copr_activate_bonus_health_ratio_1", "player_copr_teammate_heal_1", "temporary_revive_damage_reduction_1", "player_revive_damage_reduction_1", "player_revive_health_boost", "cable_tie_quantity", "cable_tie_interact_speed_multiplier", "team_damage_hostage_absorption", "player_stability_increase_bonus_1", "player_not_moving_accuracy_increase_bonus_1", "player_damage_multiplier_outnumbered", "player_damage_dampener_outnumbered", "player_armor_regen_time_mul_1", "player_flashbang_multiplier_1", "player_increased_pickup_area_1", "player_double_drop_1", "sentry_gun_cost_reduction_1", "sentry_gun_shield", "player_drill_fix_interaction_speed_multiplier", "player_drill_alert", "player_silent_drill", "player_flashbang_multiplier_2", "player_trip_mine_deploy_time_multiplier_2", "player_stability_increase_bonus_2", "player_drill_autorepair_1", "player_weapon_accuracy_increase_1", "player_suspicion_bonus", "player_sec_camera_highlight_mask_off", "player_special_enemy_highlight_mask_off", "player_mask_off_pickup", "player_small_loot_multiplier_1", "player_stamina_regen_timer_multiplier", "player_stamina_regen_multiplier", "player_run_speed_multiplier", "player_run_dodge_chance", "temporary_damage_speed_multiplier", "player_damage_speed_multiplier_send", "pistol_swap_speed_multiplier", "pistol_spread_index_addend", "player_bleed_out_health_multiplier", "player_additional_lives_1", "player_melee_knockdown_mul", "player_melee_damage_dampener"
},
cost = pc1,
icon_xy = {1, 1},
name_id = "theslayer01'perk1n",desc_id = "theslayer01'perk1d"},
ps2,{
upgrades = {
"team_passive_stamina_multiplier_1", "player_passive_intimidate_range_mul", "player_passive_health_multiplier_2", "player_uncover_multiplier", "player_tier_armor_multiplier_3", "player_camouflage_multiplier", "player_level_2_dodge_addend_1", "player_level_3_dodge_addend_1", "player_level_4_dodge_addend_1", "player_level_2_armor_multiplier_1", "player_level_3_armor_multiplier_1", "player_level_4_armor_multiplier_1", "player_perk_armor_regen_timer_multiplier_2", "akimbo_recoil_index_addend_4", "akimbo_extra_ammo_multiplier_3", "player_stand_still_crouch_camouflage_bonus_1", "player_corpse_dispose_speed_multiplier", "player_damage_dampener_close_contact_1", "player_killshot_regen_armor_bonus", "temporary_loose_ammo_give_team", "player_damage_to_hot_2", "player_movement_speed_damage_health_ratio_multiplier", "player_armor_health_store_amount_2", "player_sync_cocaine_stacks", "player_health_decrease_1", "player_armor_increase_1", "player_less_health_wild_armor_1", "player_dodge_shot_gain", "player_armor_to_health_conversion", "player_copr_out_of_health_move_slow_1"
},
cost = pc3,
icon_xy = {1, 1},
name_id = "theslayer01'perk3n",desc_id = "theslayer01'perk3d"},
ps4,{
upgrades = {
"team_passive_health_multiplier", "player_passive_health_multiplier_1", "player_passive_health_multiplier_3", "player_tier_armor_multiplier_4", "player_passive_dodge_chance_2", "player_level_2_dodge_addend_2", "player_level_3_dodge_addend_2", "player_level_4_dodge_addend_2", "player_level_2_armor_multiplier_2", "player_level_3_armor_multiplier_2", "player_level_4_armor_multiplier_2", "player_perk_armor_regen_timer_multiplier_3", "player_tier_dodge_chance_2", "player_stand_still_crouch_camouflage_bonus_2", "player_pick_lock_speed_multiplier", "player_damage_dampener_close_contact_2", "player_melee_kill_life_leech", "player_loose_ammo_restore_health_give_team", "player_damage_to_hot_3", "player_armor_piercing_chance_1", "player_armor_regen_damage_health_ratio_multiplier_2", "player_armor_max_health_store_multiplier", "player_cocaine_stacks_decay_multiplier_1", "player_armor_increase_2", "player_less_health_wild_cooldown_1", "player_chico_preferred_target", "player_damage_control_auto_shrug", "player_tag_team_damage_absorption", "player_pocket_ecm_heal_on_kill_1", "player_passive_dodge_chance_1", "temporary_copr_ability_2", "player_copr_teammate_heal_2", "player_copr_speed_up_on_kill_1"
},
cost = pc5,
icon_xy = {1, 1},
name_id = "theslayer01'perk5n",desc_id = "theslayer01'perk5d"},
ps6,{
upgrades = {
"player_tier_armor_multiplier_1", "team_passive_armor_multiplier", "player_panic_suppression", "player_armor_regen_timer_multiplier_passive", "player_passive_dodge_chance_3", "player_level_2_dodge_addend_3", "player_level_3_dodge_addend_3", "player_level_4_dodge_addend_3", "player_level_2_armor_multiplier_3", "player_level_3_armor_multiplier_3", "player_level_4_armor_multiplier_3", "player_perk_armor_regen_timer_multiplier_4", "player_tier_dodge_chance_3", "player_stand_still_crouch_camouflage_bonus_3", "player_alarm_pager_speed_multiplier", "player_damage_dampener_close_contact_3", "melee_stacking_hit_damage_multiplier_1", "melee_stacking_hit_expire_t", "player_killshot_close_regen_armor_bonus", "temporary_loose_ammo_restore_health_2", "player_damage_to_hot_4", "player_armor_regen_damage_health_ratio_multiplier_3", "player_armor_health_store_amount_3", "player_sync_cocaine_upgrade_level_1", "player_armor_increase_3", "player_less_armor_wild_health_1", "player_chico_injector_low_health_multiplier", "player_dodge_replenish_armor", "player_damage_control_cooldown_drain_2", "player_passive_dodge_chance_1"
},
cost = pc7,
icon_xy = {1, 1},
name_id = "theslayer01'perk7n",desc_id = "theslayer01'perk7d"},
ps8,{
upgrades = {
"team_hostage_health_multiplier", "team_hostage_stamina_multiplier", "player_passive_health_multiplier_4", "player_passive_health_regen", "player_tier_armor_multiplier_6", "weapon_passive_armor_piercing_chance", "weapon_passive_swap_speed_multiplier_1", "player_perk_armor_regen_timer_multiplier_5", "player_armor_regen_timer_stand_still_multiplier", "player_crouch_speed_multiplier_2", "player_melee_life_leech", "player_killshot_close_panic_chance", "temporary_loose_ammo_restore_health_3", "player_damage_to_hot_extra_ticks", "player_armor_piercing_chance_2", "player_movement_speed_damage_health_ratio_threshold_multiplier", "player_armor_regen_damage_health_ratio_threshold_multiplier", "player_kill_change_regenerate_speed", "player_cocaine_stack_absorption_multiplier_1", "player_sync_cocaine_upgrade_level_1", "player_damage_to_armor_1", "player_less_armor_wild_cooldown_1", "player_chico_injector_health_to_speed", "player_sicario_multiplier", "player_smoke_screen_ally_dodge_bonus", "player_damage_control_healing", "player_tag_team_cooldown_drain_2", "team_pocket_ecm_heal_on_kill_1", "player_passive_dodge_chance_2", "player_activate_ability_downed", "player_copr_static_damage_ratio_2", "player_copr_kill_life_leech_2", "player_revive_interaction_speed_multiplier", "player_morale_boost", "cooldown_long_dis_revive", "player_hostage_health_regen_addend_1", "head_shot_ammo_return_1", "player_overkill_damage_multiplier", "player_overkill_all_weapons", "weapon_swap_speed_multiplier", "player_armor_multiplier", "body_armor6", "extra_ammo_multiplier1", "player_pick_up_ammo_multiplier", "player_regain_throwable_from_ammo_1", "sentry_gun_quantity_1", "trip_mine_fire_trap_1", "weapon_automatic_head_shot_add_1", "ecm_jammer_quantity_increase_1", "ecm_jammer_affects_pagers", "player_detection_risk_add_dodge_chance_1", "player_unseen_increased_crit_chance_1", "pistol_stacking_hit_damage_multiplier_1", "player_messiah_revive_from_bleed_out_1", "player_recharge_messiah_1", "player_melee_damage_health_ratio_multiplier", "player_damage_health_ratio_multiplier", "player_hostage_health_regen_addend_2", "head_shot_ammo_return_2", "player_pick_up_ammo_multiplier_2", "sentry_gun_quantity_2", "trip_mine_fire_trap_2", "weapon_automatic_head_shot_add_2", "ecm_jammer_duration_multiplier_2", "ecm_jammer_feedback_duration_boost_2", "player_detection_risk_add_dodge_chance_2", "player_unseen_increased_crit_chance_2", "pistol_stacking_hit_damage_multiplier_2"
},
cost = pc9,
icon_xy = {1, 1},
name_id = "theslayer01'perk9n",desc_id = "theslayer01'perk9d"}})
end
